gdata.tlslite.utils.jython_compat | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/tlslite/utils/jython_compat.py

`Miscellaneous functions to mask Python/Jython differences.`

Modules

``

array math | os sha | sys traceback |

Classes

``

CertChainBase
ReportFuncBase
SelfTestBase

class CertChainBase
`` |  |

class ReportFuncBase
`` |  |

class SelfTestBase
`` |  |

Functions

``

bytesToString(bytes)

concatArrays(a1, a2)

createByteArraySequence(seq)

createByteArrayZeros(howMany)

formatExceptionTrace(e)

getListFromSet(set)

getSHA1(s)
  `#Factory function for getting a SHA1 object`

iterSet(set)
  `#Helper functions for working with sets (from Python 2.3)`

numBits(n)

stringToBytes(s)

Data
`` |  | __warningregistry__ = {('the sets module is deprecated', <type 'exceptions.DeprecationWarning'>, 9): True}